#\u7AEF\u53E3\u914D\u7F6E
server.port=6003
#tomcat\u6700\u5927\u7EBF\u7A0B\u6570\uFF0C\u9ED8\u8BA4\u4E3A200
server.tomcat.max-threads=2500
#tomcat\u6700\u5927\u8FDE\u63A5\u6570
server.tomcat.max-connections=2500
#tomcat\u7684URI\u7F16\u7801
server.tomcat.uri-encoding=UTF-8

#\u9879\u76EE\u540D\u79F0
spring.application.name=themis-task

#\u6570\u636E\u6E90\u914D\u7F6E
db.host=localhost
db.port=3306
db.name=themis
db.username=root
db.password=123456789
#redis\u6570\u636E\u6E90\u914D\u7F6E
redis.host=${db.host}
redis.database=15
redis.port=6379
redis.password=
spring.datasource.url=jdbc:mysql://${db.host}:${db.port}/${db.name}?serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=UTF-8
spring.datasource.username=${db.username}
spring.datasource.password=${db.password}
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
#\u4E0B\u9762\u4E3Adruid\u8FDE\u63A5\u6C60\u7684\u8865\u5145\u8BBE\u7F6E\uFF0C\u5E94\u7528\u5230\u4E0A\u9762\u6240\u6709\u6570\u636E\u6E90\u4E2D
#\u521D\u59CB\u5316\u65F6\u5EFA\u7ACB\u7269\u7406\u8FDE\u63A5\u7684\u4E2A\u6570\u3002\u521D\u59CB\u5316\u53D1\u751F\u5728\u663E\u793A\u8C03\u7528init\u65B9\u6CD5\uFF0C\u6216\u8005\u7B2C\u4E00\u6B21getConnection\u65F6
spring.datasource.initial-size=10
#\u6700\u5C0F\u8FDE\u63A5\u6C60\u6570\u91CF
spring.datasource.min-idle=40
#\u6700\u5927\u8FDE\u63A5\u6C60\u6570\u91CF
spring.datasource.max-active=200
#\u83B7\u53D6\u8FDE\u63A5\u65F6\u6700\u5927\u7B49\u5F85\u65F6\u95F4\uFF0C\u5355\u4F4D\u6BEB\u79D2\u3002\u914D\u7F6E\u4E86maxWait\u4E4B\u540E\uFF0C\u7F3A\u7701\u542F\u7528\u516C\u5E73\u9501\uFF0C\u5E76\u53D1\u6548\u7387\u4F1A\u6709\u6240\u4E0B\u964D\uFF0C\u5982\u679C\u9700\u8981\u53EF\u4EE5\u901A\u8FC7\u914D\u7F6EuseUnfairLock\u5C5E\u6027\u4E3Atrue\u4F7F\u7528\u975E\u516C\u5E73\u9501\u3002
spring.datasource.max-wait=60000
#\u914D\u7F6E\u95F4\u9694\u591A\u4E45\u624D\u8FDB\u884C\u4E00\u6B21\u68C0\u6D4B\uFF0C\u68C0\u6D4B\u9700\u8981\u5173\u95ED\u7684\u7A7A\u95F2\u8FDE\u63A5\uFF0C\u5355\u4F4D\u662F\u6BEB\u79D2
spring.datasource.time-between-eviction-runs-millis=60000
#\u914D\u7F6E\u4E00\u4E2A\u8FDE\u63A5\u5728\u6C60\u4E2D\u6700\u5C0F\u751F\u5B58\u7684\u65F6\u95F4\uFF0C\u5355\u4F4D\u662F\u6BEB\u79D2
spring.datasource.min-evictable-idle-time-millis=300000
#\u7528\u6765\u68C0\u6D4B\u8FDE\u63A5\u662F\u5426\u6709\u6548\u7684sql\uFF0C\u8981\u6C42\u662F\u4E00\u4E2A\u67E5\u8BE2\u8BED\u53E5\uFF0C\u5E38\u7528select 'x'\u3002\u5982\u679CvalidationQuery\u4E3Anull\uFF0CtestOnBorrow\u3001testOnReturn\u3001testWhileIdle\u90FD\u4E0D\u4F1A\u8D77\u4F5C\u7528
spring.datasource.validation-query=SELECT 1 FROM DUAL
#\u5EFA\u8BAE\u914D\u7F6E\u4E3Atrue\uFF0C\u4E0D\u5F71\u54CD\u6027\u80FD\uFF0C\u5E76\u4E14\u4FDD\u8BC1\u5B89\u5168\u6027\u3002\u7533\u8BF7\u8FDE\u63A5\u7684\u65F6\u5019\u68C0\u6D4B\uFF0C\u5982\u679C\u7A7A\u95F2\u65F6\u95F4\u5927\u4E8EtimeBetweenEvictionRunsMillis\uFF0C\u6267\u884CvalidationQuery\u68C0\u6D4B\u8FDE\u63A5\u662F\u5426\u6709\u6548\u3002
spring.datasource.test-while-idle=true
#\u7533\u8BF7\u8FDE\u63A5\u65F6\u6267\u884CvalidationQuery\u68C0\u6D4B\u8FDE\u63A5\u662F\u5426\u6709\u6548\uFF0C\u505A\u4E86\u8FD9\u4E2A\u914D\u7F6E\u4F1A\u964D\u4F4E\u6027\u80FD\u3002
spring.datasource.test-on-borrow=false
#\u5F52\u8FD8\u8FDE\u63A5\u65F6\u6267\u884CvalidationQuery\u68C0\u6D4B\u8FDE\u63A5\u662F\u5426\u6709\u6548\uFF0C\u505A\u4E86\u8FD9\u4E2A\u914D\u7F6E\u4F1A\u964D\u4F4E\u6027\u80FD\u3002
spring.datasource.test-on-return=false
#\u662F\u5426\u7F13\u5B58preparedStatement\uFF0C\u4E5F\u5C31\u662FPSCache\u3002PSCache\u5BF9\u652F\u6301\u6E38\u6807\u7684\u6570\u636E\u5E93\u6027\u80FD\u63D0\u5347\u5DE8\u5927\uFF0C\u6BD4\u5982\u8BF4oracle\u3002\u5728mysql\u4E0B\u5EFA\u8BAE\u5173\u95ED\u3002(mysql5.5+\u5EFA\u8BAE\u5F00\u542F)
spring.datasource.pool-prepared-statements=true
#\u8981\u542F\u7528PSCache\uFF0C\u5FC5\u987B\u914D\u7F6E\u5927\u4E8E0\uFF0C\u5F53\u5927\u4E8E0\u65F6\uFF0CpoolPreparedStatements\u81EA\u52A8\u89E6\u53D1\u4FEE\u6539\u4E3Atrue\u3002\u5728Druid\u4E2D\uFF0C\u4E0D\u4F1A\u5B58\u5728Oracle\u4E0BPSCache\u5360\u7528\u5185\u5B58\u8FC7\u591A\u7684\u95EE\u9898\uFF0C\u53EF\u4EE5\u628A\u8FD9\u4E2A\u6570\u503C\u914D\u7F6E\u5927\u4E00\u4E9B\uFF0C\u6BD4\u5982\u8BF4100
spring.datasource.max-pool-prepared-statement-per-connection-size=20
#\u914D\u7F6E\u76D1\u63A7\u7EDF\u8BA1\u62E6\u622A\u7684filters\uFF0C\u53BB\u6389\u540E\u76D1\u63A7\u754C\u9762sql\u65E0\u6CD5\u7EDF\u8BA1\uFF0C'wall'\u7528\u4E8E\u9632\u706B\u5899
spring.datasource.filters=stat,wall,slf4j
#\u5408\u5E76\u591A\u4E2Adatasource\u76D1\u63A7
spring.datasource.use-global-data-source-stat=true
# \u901A\u8FC7connectProperties\u5C5E\u6027\u6765\u6253\u5F00mergeSql\u529F\u80FD\uFF1B\u6162SQL\u8BB0\u5F55
spring.datasource.connect-properties=druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000;
#\u53EA\u8981\u5C06\u5176\u503C\u66F4\u6539\u4E3Afalse\u65F6\u5C31\u53EF\u4EE5\u89E3\u51B3\u5982\u4E0B\u95EE\u9898\uFF0C\u5373\u5B58\u5728id\u6216\u8005name\u76F8\u540C\u7684bean\u65F6\uFF0C\u4E0D\u662F\u6253\u5370\u51FA\u76F8\u5173\u4FE1\u606F\uFF0C\u800C\u662F\u76F4\u63A5\u629B\u5F02\u5E38\uFF0C\u8FD9\u6837\u5C31\u53EF\u4EE5\u8FEB\u4F7F\u5F00\u53D1\u4EBA\u5458\u5FC5\u987B\u89E3\u51B3id\u6216\u8005name\u91CD\u590D\u7684\u95EE\u9898\u540E\u624D\u80FD\u6210\u529F\u542F\u52A8\u5BB9\u5668\u3002\u7136\u540E\u5C31\u5C1D\u8BD5\u4E86\u4E0B\uFF0C
spring.main.allow-bean-definition-overriding=false

#\u65E5\u5FD7\u914D\u7F6E
logging.level.root=info

# MyBatis-Plus\u914D\u7F6E
mybatis-plus.typeAliasesPackage=com.qmth.themis.business.entity
mybatis-plus.mapper-locations=classpath:/mapper/*Mapper.xml
mybatis-plus.global-config.id-type=1
mybatis-plus.configuration.map-underscore-to-camel-case=true
mybatis.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
logging.level.com.qmth.themis.business.dao=debug
mybatis-plus.configuration.call-setters-on-nulls=true

#redis
spring.redis.database=${redis.database}
spring.redis.host=${redis.host}
spring.redis.port=${redis.port}
spring.redis.password=${redis.password}
# \u8FDE\u63A5\u6C60\u6700\u5927\u963B\u585E\u7B49\u5F85\u65F6\u95F4\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
# \u8FDE\u63A5\u6C60\u6700\u5927\u8FDE\u63A5\u6570\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
spring.redis.jedis.pool.max-active=30
# \u8FDE\u63A5\u6C60\u6700\u5927\u963B\u585E\u7B49\u5F85\u65F6\u95F4\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
spring.redis.jedis.pool.max-wait=-1ms
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5927\u7A7A\u95F2\u8FDE\u63A5
spring.redis.jedis.pool.max-idle=5
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5C0F\u7A7A\u95F2\u8FDE\u63A5
spring.redis.jedis.pool.min-idle=1
# \u8FDE\u63A5\u8D85\u65F6\u65F6\u95F4\uFF08\u6BEB\u79D2\uFF09
spring.redis.jedis.timeout=180000

#\u65E5\u671F\u683C\u5F0F\u5316
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8

#\u7CFB\u7EDF\u914D\u7F6E
sys.config.oss=true
sys.config.attachmentType=.xlsx,.xls,.doc,.docx,.pdf,.jpg,.jpeg,.png,.html,.zip
sys.config.serverUpload=/Users/king/git/themis-files/
spring.resources.static-locations=file:${sys.config.serverUpload},classpath:/META-INF/resources/,classpath:/resources/

#\u963F\u91CC\u4E91OSS\u914D\u7F6E
aliyun.oss.name=oss-cn-shenzhen.aliyuncs.com
#aliyun.oss.endpoint=http://${aliyun.oss.name}
aliyun.oss.endpoint=http://oss-cn-shenzhen.aliyuncs.com
aliyun.oss.accessKeyId=LTAI4FnJ2pgV6aGceYcCkeEi
aliyun.oss.accessKeySecret=ktrMEVE7PfoxRPeJUPDFeygOIH4aU7
aliyun.oss.bucket=qmth-test
#aliyun.oss.url=http://${aliyun.oss.bucket}.${aliyun.oss.name}
aliyun.oss.url=http://qmth-test.oss-cn-shenzhen.aliyuncs.com
#============================================================================
# \u914D\u7F6EJobStore
#============================================================================
spring.quartz.job-store-type=jdbc
spring.quartz.jdbc.initialize-schema=never
# JobDataMaps\u662F\u5426\u90FD\u4E3AString\u7C7B\u578B\uFF0C\u9ED8\u8BA4false
spring.quartz.properties.org.quartz.jobStore.useProperties=false
# \u8868\u7684\u524D\u7F00\uFF0C\u9ED8\u8BA4QRTZ_
spring.quartz.properties.org.quartz.jobStore.tablePrefix=QRTZ_
# \u662F\u5426\u52A0\u5165\u96C6\u7FA4
spring.quartz.properties.org.quartz.jobStore.isClustered=true
# \u8C03\u5EA6\u5B9E\u4F8B\u5931\u6548\u7684\u68C0\u67E5\u65F6\u95F4\u95F4\u9694 ms
spring.quartz.properties.org.quartz.jobStore.clusterCheckinInterval=5000
# \u5F53\u8BBE\u7F6E\u4E3A\u201Ctrue\u201D\u65F6\uFF0C\u6B64\u5C5E\u6027\u544A\u8BC9Quartz \u5728\u975E\u6258\u7BA1JDBC\u8FDE\u63A5\u4E0A\u8C03\u7528setTransactionIsolation\uFF08Connection.TRANSACTION_READ_COMMITTED\uFF09\u3002
spring.quartz.properties.org.quartz.jobStore.txIsolationLevelReadCommitted=true
# \u6570\u636E\u4FDD\u5B58\u65B9\u5F0F\u4E3A\u6570\u636E\u5E93\u6301\u4E45\u5316
spring.quartz.properties.org.quartz.jobStore.class=org.quartz.impl.jdbcjobstore.JobStoreTX
# \u6570\u636E\u5E93\u4EE3\u7406\u7C7B\uFF0C\u4E00\u822Corg.quartz.impl.jdbcjobstore.StdJDBCDelegate\u53EF\u4EE5\u6EE1\u8DB3\u5927\u90E8\u5206\u6570\u636E\u5E93
spring.quartz.properties.org.quartz.jobStore.driverDelegateClass=org.quartz.impl.jdbcjobstore.StdJDBCDelegate
#============================================================================
# Scheduler \u8C03\u5EA6\u5668\u5C5E\u6027\u914D\u7F6E
#============================================================================
# \u8C03\u5EA6\u6807\u8BC6\u540D \u96C6\u7FA4\u4E2D\u6BCF\u4E00\u4E2A\u5B9E\u4F8B\u90FD\u5FC5\u987B\u4F7F\u7528\u76F8\u540C\u7684\u540D\u79F0
spring.quartz.properties.org.quartz.scheduler.instanceName=ClusterQuartz
# ID\u8BBE\u7F6E\u4E3A\u81EA\u52A8\u83B7\u53D6 \u6BCF\u4E00\u4E2A\u5FC5\u987B\u4E0D\u540C
spring.quartz.properties.org.quartz.scheduler.instanceId=AUTO

#============================================================================
# \u914D\u7F6EThreadPool
#============================================================================
# \u7EBF\u7A0B\u6C60\u7684\u5B9E\u73B0\u7C7B\uFF08\u4E00\u822C\u4F7F\u7528SimpleThreadPool\u5373\u53EF\u6EE1\u8DB3\u51E0\u4E4E\u6240\u6709\u7528\u6237\u7684\u9700\u6C42\uFF09
spring.quartz.properties.org.quartz.threadPool.class=org.quartz.simpl.SimpleThreadPool
# \u6307\u5B9A\u7EBF\u7A0B\u6570\uFF0C\u4E00\u822C\u8BBE\u7F6E\u4E3A1-100\u76F4\u63A5\u7684\u6574\u6570\uFF0C\u6839\u636E\u7CFB\u7EDF\u8D44\u6E90\u914D\u7F6E
spring.quartz.properties.org.quartz.threadPool.threadCount=10
# \u8BBE\u7F6E\u7EBF\u7A0B\u7684\u4F18\u5148\u7EA7(\u53EF\u4EE5\u662FThread.MIN_PRIORITY\uFF08\u53731\uFF09\u548CThread.MAX_PRIORITY\uFF08\u8FD9\u662F10\uFF09\u4E4B\u95F4\u7684\u4EFB\u4F55int \u3002\u9ED8\u8BA4\u503C\u4E3AThread.NORM_PRIORITY\uFF085\uFF09\u3002)
spring.quartz.properties.org.quartz.threadPool.threadPriority=5

#============================================================================
# \u914D\u7F6Erocketmq
#============================================================================
#namesrv\u5730\u5740
rocketmq.name-server=127.0.0.1:9876
#\u53D1\u9001\u6D88\u606F\u8D85\u65F6\u65F6\u95F4\uFF0C\u5355\u4F4D\u6BEB\u79D2\u3002\u9ED8\u8BA410000
rocketmq.producer.send-message-timeout=300000
#Producer\u7EC4\u540D\uFF0C\u591A\u4E2AProducer\u5982\u679C\u5C5E\u4E8E\u4E00\u4E2A\u5E94\u7528\uFF0C\u53D1\u9001\u540C\u6837\u7684\u6D88\u606F\uFF0C\u5219\u5E94\u8BE5\u5C06\u5B83\u4EEC\u5F52\u4E3A\u540C\u4E00\u7EC4\u3002\u9ED8\u8BA4DEFAULT_PRODUCER
rocketmq.producer.group=my-group
#\u5BA2\u6237\u7AEF\u9650\u5236\u7684\u6D88\u606F\u5927\u5C0F\uFF0C\u8D85\u8FC7\u62A5\u9519\uFF0C\u540C\u65F6\u670D\u52A1\u7AEF\u4E5F\u4F1A\u9650\u5236\uFF0C\u9700\u8981\u8DDF\u670D\u52A1\u7AEF\u914D\u5408\u4F7F\u7528\u3002\u9ED8\u8BA44MB
rocketmq.producer.compress-message-body-threshold=4096
rocketmq.producer.max-message-size=4194304
#\u5982\u679C\u6D88\u606F\u53D1\u9001\u5931\u8D25\uFF0C\u6700\u5927\u91CD\u8BD5\u6B21\u6570\uFF0C\u8BE5\u53C2\u6570\u53EA\u5BF9\u5F02\u6B65\u53D1\u9001\u6A21\u5F0F\u8D77\u4F5C\u7528\u3002\u9ED8\u8BA42
rocketmq.producer.retry-times-when-send-async-failed=3
#\u5982\u679C\u6D88\u606F\u53D1\u9001\u5931\u8D25\uFF0C\u662F\u5426\u7EE7\u7EED\u53D1\u4E0B\u4E00\u6761
rocketmq.producer.retry-next-server=true
#\u5982\u679C\u6D88\u606F\u53D1\u9001\u5931\u8D25\uFF0C\u6700\u5927\u91CD\u8BD5\u6B21\u6570\uFF0C\u8BE5\u53C2\u6570\u53EA\u5BF9\u540C\u6B65\u53D1\u9001\u6A21\u5F0F\u8D77\u4F5C\u7528\u3002\u9ED8\u8BA42
rocketmq.producer.retry-times-when-send-failed=3
#ACK
rocketmq.producer.access-key=AK
rocketmq.producer.secret-key=SK
#\u542F\u7528\u6D88\u606F\u8F68\u8FF9\uFF0C\u9ED8\u8BA4\u503Ctrue
rocketmq.producer.enable-msg-trace=true
#\u81EA\u5B9A\u4E49\u7684\u6D88\u606F\u8F68\u8FF9\u4E3B\u9898
rocketmq.producer.customized-trace-topic=my-trace-topic